<div class="modal">
  <button type="button" class="close" (click)="closeModal()">
    <span aria-hidden="true">&times;</span>
  </button>
  <div class="all-in-one-table">
    <elastic-page-header
      [height]="'100px'"
      background="url(assets/img/demo/headers/pattern-3.png)"
      [reverse]="true"
    >
    </elastic-page-header>
  </div>
  <h1>Prestamos recorridos</h1>
</div>

<div class="container">
  <div class="filter">
    <div class="inputs butt">
      <button
        mat-raised-button
        (click)="deleteFilterSearch()"
        class="buttonSearch"
      >
        Vaciar busqueda
      </button>
    </div>

    <div class="inputs">
      <mat-form-field color="accent" appearance="fill">
        <mat-label>Fecha inicial</mat-label>
        <input matInput type="date" [(ngModel)]="selectFromDate" />
      </mat-form-field>
    </div>
    <div class="inputs">
      <mat-form-field color="accent" appearance="fill">
        <mat-label>Fecha Final</mat-label>
        <input matInput type="date" [(ngModel)]="selectToDate" />
      </mat-form-field>
    </div>
    <div class="inputs">
      <mat-form-field class="example-full-width">
        <mat-label>Estacion Inicio</mat-label>
        <select matNativeControl [(ngModel)]="selectStation">
          <option value="" selected disabled>Elija una estacion</option>
          <option *ngFor="let item of stationsTrips" value="{{ item.id }}">
            {{ item.name }}
          </option>
        </select>
      </mat-form-field>
    </div>
    <div class="inputs butt">
      <button mat-raised-button (click)="searchTrip()" class="buttonSearch">
        Buscar
      </button>
    </div>
  </div>
  <mat-divider></mat-divider>
  <!--  <elastic-list [name]="Usuarios" [columns]="columns"> -->
  <div *ngIf="userTrips">
    <mat-table
      #table
      [dataSource]="search == true ? datasourceSearchTrip : userTrips"
      matSort
    >
      <ng-container *ngFor="let column of columns">
        <ng-container
          *ngIf="column.isModelProperty"
          [matColumnDef]="column.property"
        >
          <mat-header-cell *matHeaderCellDef>
            {{ column.name }}</mat-header-cell
          >
          <ng-container *ngIf="!column.isCOP && !column.state">
            <mat-cell *matCellDef="let row; let i = index">
              {{ row[column.property] }}</mat-cell
            >
          </ng-container>

          <ng-container *ngIf="column.state">
            <mat-cell *matCellDef="let row; let i = index">
              <span *ngIf="row.state == 'finished'">Finalizado</span>
              <span *ngIf="row.state == 'active'">Activo</span>
            </mat-cell>
          </ng-container>

          <ng-container *ngIf="column.isCOP">
            <mat-cell *matCellDef="let row; let i = index">{{
              row[column.property] | date: "yyyy-MM-dd HH:mm:ss"
            }}</mat-cell>
          </ng-container>
        </ng-container>
      </ng-container>

      <mat-header-row *matHeaderRowDef="visibleColumns"> </mat-header-row>
      <mat-row
        *matRowDef="let row; columns: visibleColumns; index as i"
        class="clickable"
      >
      </mat-row>
    </mat-table>
  </div>
  <div *ngIf="search === false && userTrips.length!=0">
    <div class="mat-elevation-z8 paginator">
      <mat-label class="pagina"
        >Pagina {{ userPaginationTrip.currentPage }} de
        {{ userPaginationTrip.totalPage }}</mat-label
      >
      <div class="arrows default">
        <mat-icon
          *ngIf="userPaginationTrip.currentPage == 1"
          disabled="true"
          class="disabled"
          >skip_previous</mat-icon
        >
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != 1 && userPaginationTrip.cantLeft == true
          "
          (click)="paginator('skip_previous')"
          >skip_previous</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == 1"
          disabled="true"
          class="disabled"
          >keyboard_arrow_left
        </mat-icon>
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != 1 && userPaginationTrip.cantLeft == true
          "
          (click)="paginator('keyboard_arrow_left')"
          >keyboard_arrow_left</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == userPaginationTrip.totalPage"
          disabled="true"
          class="disabled"
        >
          keyboard_arrow_right</mat-icon
        >
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != userPaginationTrip.totalPage &&
            userPaginationTrip.cantRigth == true
          "
          (click)="paginator('keyboard_arrow_right')"
          >keyboard_arrow_right</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == userPaginationTrip.totalPage"
          disabled="true"
          class="disabled"
        >
          skip_next</mat-icon
        >
        <mat-icon
          *ngIf="userPaginationTrip.currentPage != userPaginationTrip.totalPage"
          (click)="paginator('skip_next')"
        >
          skip_next</mat-icon
        >
      </div>
    </div>
  </div>

  <div *ngIf="search === true && datasourceSearchTrip.length!=0">
    <div class="mat-elevation-z8 paginator">
      <mat-label class="pagina"
        >Pagina {{ userPaginationTrip.currentPage }} de
        {{ userPaginationTrip.totalPage }}</mat-label
      >
      <div class="arrows default">
        <mat-icon
          *ngIf="userPaginationTrip.currentPage == 1"
          disabled="true"
          class="disabled"
          >skip_previous</mat-icon
        >
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != 1 && userPaginationTrip.cantLeft == true
          "
          (click)="paginatorsearch('skip_previous')"
          >skip_previous</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == 1"
          disabled="true"
          class="disabled"
          >keyboard_arrow_left
        </mat-icon>
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != 1 && userPaginationTrip.cantLeft == true
          "
          (click)="paginatorsearch('keyboard_arrow_left')"
          >keyboard_arrow_left</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == userPaginationTrip.totalPage"
          disabled="true"
          class="disabled"
        >
          keyboard_arrow_right</mat-icon
        >
        <mat-icon
          *ngIf="
            userPaginationTrip.currentPage != userPaginationTrip.totalPage &&
            userPaginationTrip.cantRigth == true
          "
          (click)="paginatorsearch('keyboard_arrow_right')"
          >keyboard_arrow_right</mat-icon
        >

        <mat-icon
          *ngIf="userPaginationTrip.currentPage == userPaginationTrip.totalPage"
          disabled="true"
          class="disabled"
        >
          skip_next</mat-icon
        >
        <mat-icon
          *ngIf="userPaginationTrip.currentPage != userPaginationTrip.totalPage"
          (click)="paginatorsearch('skip_next')"
        >
          skip_next</mat-icon
        >
      </div>
    </div>
  </div>
</div>
